# Class CIM_SharedSecretService
extends CIM_LocalCredentialManagementService

CIM_SharedSecretService is a service which ascertains whether messages received are from the Principal with whom a secret is shared. Examples include a login service that proves identity on the basis of knowledge of the shared secret, or a transport integrity service (like Kerberos provides) that includes a message authenticity code that proves each message in the messsage stream came from someone who knows the shared secret session key.

### Table of Contents
Hierarchy
Direct Known Subclasses
Class Qualifiers
Class Properties
Class Methods

## Class Hierarchy

CIM_ManagedElement
|
+--CIM_ManagedSystemElement
|
+--CIM_LogicalElement
|
+--CIM_EnabledLogicalElement
|
+--CIM_Service
|
+--CIM_SecurityService
|
+--CIM_AuthenticationService
|
+--CIM_CredentialManagementService
|
+--CIM_LocalCredentialManagementService
|
+--CIM_SharedSecretService

## Direct Known Subclasses

## Class Qualifiers

Name | Data Type | Value
--- | --- | ---

Description

string

CIM_SharedSecretService is a service which ascertains whether messages received are from the Principal with whom a secret is shared. Examples include a login service that proves identity on the basis of knowledge of the shared secret, or a transport integrity service (like Kerberos provides) that includes a message authenticity code that proves each message in the messsage stream came from someone who knows the shared secret session key.

UMLPackagePath | string | CIM::User::SharedSecret
Version | string | 2.6.0

## Class Properties

### Local Class Properties

Name | Data Type | Default Value | Qualifiers
--- | --- | --- | ---
Name | Data Type | Value
Algorithm | string |
Description | string | The Algorithm used to convey the shared secret, such as HMAC-MD5,or PLAINTEXT.
MaxLen | uint32 | 256
Protocol | string |
Description | string | The Protocol supported by the SharedSecretService.

### Inherited Properties

Name | Data Type | Class Origin
--- | --- | ---
Caption | string | CIM_ManagedElement
CommunicationStatus | uint16 | CIM_ManagedSystemElement
CreationClassName | string | CIM_Service
Description | string | CIM_ManagedElement
DetailedStatus | uint16 | CIM_ManagedSystemElement
ElementName | string | CIM_ManagedElement
EnabledDefault | uint16 | CIM_EnabledLogicalElement
EnabledState | uint16 | CIM_EnabledLogicalElement
HealthState | uint16 | CIM_ManagedSystemElement
InstallDate | datetime | CIM_ManagedSystemElement
InstanceID | string | CIM_ManagedElement
Name | string | CIM_Service
OperatingStatus | uint16 | CIM_ManagedSystemElement
OtherEnabledState | string | CIM_EnabledLogicalElement
PrimaryOwnerContact | string | CIM_Service
PrimaryOwnerName | string | CIM_Service
PrimaryStatus | uint16 | CIM_ManagedSystemElement
RequestedState | uint16 | CIM_EnabledLogicalElement
Started | boolean | CIM_Service
StartMode | string | CIM_Service
Status | string | CIM_ManagedSystemElement
SystemCreationClassName | string | CIM_Service
SystemName | string | CIM_Service
TimeOfLastStateChange | datetime | CIM_EnabledLogicalElement
TransitioningToState | uint16 | CIM_EnabledLogicalElement
AvailableRequestedStates | uint16[] | CIM_EnabledLogicalElement
OperationalStatus | uint16[] | CIM_ManagedSystemElement
StatusDescriptions | string[] | CIM_ManagedSystemElement

## Class Methods

### Inherited Class Methods

Name | Return Type | Class Origin
--- | --- | ---
RequestStateChange | uint32 | CIM_EnabledLogicalElement
StartService | uint32 | CIM_Service
StopService | uint32 | CIM_Service